Skip to main content
List troubleshooting sessions for cluster
curl --request GET \
  --url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/kubernetes-clusters/{clusterId}/sessions \
  --cookie acornops_cp_session=
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "createdByUser": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "jsmith@example.com",
        "displayName": "<string>",
        "emailVerified": true,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.acornops.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

acornops_cp_session
string
cookie
required

Path Parameters

workspaceId
string<uuid>
required
Example:

"4b930d98-add9-4924-ab26-3c16d96ec373"

clusterId
string<uuid>
required
Example:

"5b006e4c-509c-458a-9f02-5aafbdc01ade"

Query Parameters

limit
integer
Required range: 1 <= x <= 100
Example:

20

cursor
string
Example:

"eyJsYXN0TWVzc2FnZUF0IjoiMjAyNi0wMy0wM1QxMjowMDowMC4wMDBaIiwic2Vzc2lvbklkIjoi..."

q
string
status
string

Response

Session page payload.

items
object[]
required
nextCursor
string